# documentation:2.0:safejail
Keywords: documentation,2.0,safejail

# Safe jail

## Presentation

LemonLDAP::NG uses Safe jail to evaluate all expressions:

- Access rule
- Header
- Form replay parameters
- Macros
- Groups
- Conditions:
  - Menu modules display
  - Multi modules display
  - IssuerDB use
  - Session opening

More information about Safe on CPAN

## Disabling Safe jail

Safe can be very annoying when we use extended functions or custom functions. In this case, you might want to disabling it.

To do this, go in Manager > General Parameters > Advanced Parameters > Security > Use Safe Jail and disable it.